%define version 0.2.0

Summary:	Firewall modules that can be used in an existing firewall
Name:		modwall
Version:	%{version}
Release:	0
Copyright:	GPL
Group:		Networking/Admin
Source:		http://www.stearns.org/modwall/modwall-%{version}.tar.gz
URL:		http://www.stearns.org/modwall/
Vendor:		William Stearns
Packager:	William Stearns <wstearns@pobox.com>
BuildRoot:	/var/tmp/modwall-root
Buildarch:	noarch
Obsoletes:	firebricks

%description

Modwall provides a collection of independent firewall modules.  These
can be used to create a complete firewall, or can be individually
inserted into an existing firewall.

%prep
%setup

%build

%install
if [ "$RPM_BUILD_ROOT" = "/var/tmp/modwall-root" ]; then
	rm -rf $RPM_BUILD_ROOT
	make DESTDIR=$RPM_BUILD_ROOT install
else
	echo Invalid Buildroot
	exit 1
fi
	

%clean
if [ "$RPM_BUILD_ROOT" = "/var/tmp/modwall-root" ]; then
	rm -rf $RPM_BUILD_ROOT
else
	echo Invalid Buildroot
	exit 1
fi

%files
%attr(750,root,root)	%dir			/etc/modwall
%attr(640,root,root)	%config(noreplace)	/etc/modwall/modwall.conf
%attr(755,root,root)				/etc/init.d/modwall
%attr(755,root,root)	%dir			/usr/lib/modwall/
%attr(755,root,root)				/usr/lib/modwall/address
%attr(755,root,root)				/usr/lib/modwall/banfor30
%attr(755,root,root)				/usr/lib/modwall/blockfwdports
%attr(755,root,root)				/usr/lib/modwall/bogons
%attr(755,root,root)				/usr/lib/modwall/catchmapper
%attr(755,root,root)				/usr/lib/modwall/catchmapreply
%attr(755,root,root)				/usr/lib/modwall/checkbans
%attr(755,root,root)				/usr/lib/modwall/established
%attr(755,root,root)				/usr/lib/modwall/modwall-template
%attr(755,root,root)				/usr/lib/modwall/modwalllib
%attr(755,root,root)				/usr/lib/modwall/histogram
%attr(755,root,root)				/usr/lib/modwall/icmpchk
%attr(755,root,root)				/usr/lib/modwall/icmpfwdchk
%attr(755,root,root)				/usr/lib/modwall/identreject
%attr(755,root,root)				/usr/lib/modwall/ipopts
%attr(755,root,root)				/usr/lib/modwall/kernel
%attr(755,root,root)				/usr/lib/modwall/local-forward-accept
%attr(755,root,root)				/usr/lib/modwall/local-input-accept
%attr(755,root,root)				/usr/lib/modwall/local-output-accept
%attr(755,root,root)				/usr/lib/modwall/lockdown
%attr(755,root,root)				/usr/lib/modwall/mapssh
%attr(755,root,root)				/usr/lib/modwall/pasvmap
%attr(755,root,root)				/usr/lib/modwall/plength
%attr(755,root,root)				/usr/lib/modwall/punishmapper
%attr(755,root,root)				/usr/lib/modwall/sample-script
%attr(755,root,root)				/usr/lib/modwall/scrutinize
%attr(755,root,root)				/usr/lib/modwall/scrutinizedst
%attr(755,root,root)				/usr/lib/modwall/scrutinizesrc
%attr(755,root,root)				/usr/lib/modwall/tcpchk
%attr(755,root,root)				/usr/lib/modwall/udpchk
%attr(755,root,root)				/usr/lib/modwall/inputsrcaddrtype
%attr(755,root,root)				/usr/lib/modwall/outputdstaddrtype
%attr(755,root,root)				/usr/lib/modwall/fwdsrcaddrtype
%attr(755,root,root)				/usr/lib/modwall/fwddstaddrtype
%attr(755,root,root)				/usr/lib/modwall/shundst
%attr(755,root,root)				/usr/lib/modwall/shunsrc
%attr(755,root,root)				/usr/lib/modwall/policy
%attr(755,root,root)				/usr/lib/modwall/logremainder
%attr(755,root,root)				/usr/lib/modwall/autoreject
%attr(755,root,root)				/usr/lib/modwall/macchk
%attr(750,root,root)	%dir			/var/lib/modwall/
%attr(640,root,root)	%config			/var/lib/modwall/bogon-hosts
%attr(640,root,root)	%config			/var/lib/modwall/bogon-bn-agg.txt
%doc COPYING README.bricksummary.html README.modwall.html modwall.html

